/*! HTML5 Boilerplate v9.0.0-RC1 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */




/* @media only screen and (min-width: 768px) {

}
@media only screen and (min-width: 1024px) {

}
@media only screen and (min-width: 1440px) {
    
} */


/* ==========================================================================
   Color palette
   ========================================================================== */
:root {
  --navy: #003a70;
  --light-navy: #00509e;
  --red: #cf102d;
  --gray: #a3a8ac;
  --lightGray: #eee;
  --blue: #5fb4e5;
  --main-padding: 20px;
  --text: #222
}


/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */


html {
  color: var(--text);
  font-size: 20px;
  line-height: 1.4;
  font-family: 'AvenirNextLTW01-Condens_721299', Arial, Helvetica, sans-serif;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/*font-family:'AvenirNextLTW01-Regular';
font-family:'AvenirNextLTW01-Italic';
    font-family:'Avenir Next LT W01 Bold';
font-family:'AvenirNextLTW01-BoldIta';
font-family:'AvenirNextLTW01-Heavy';
font-family:'AvenirNextLTW01-HeavyIt_721290';
font-family:'AvenirNextLTW01-Condens_721299';
font-family:'AvenirNextLTW01-Condens_721302';
font-family:'AvenirNextLTW01-BoldCn';
font-family:'AvenirNextLTW01-BoldCnI_721320';
*/


/* ==========================================================================
   Author's custom styles
   ========================================================================== */
body {
  font-size: 16px;
  padding: 0;
  margin: 0;
  font-family: 'AvenirNextLTW01-Condens_721299';
}

a.skip-link {
  position: absolute;
  left: -1000px;
  top: -1000px;
  width: 1px;
  height: 1px;
  text-align: left;
  overflow: hidden;
}

a.skip-link:focus,
a.skip-link:active,
a.skip-link:hover {
  position: absolute;
  left: 0;
  top: 0;
  width: auto;
  height: auto;
  overflow: visible;
  background-color: #FF3;
  background: rgba(0, 0, 0, 0.6) none repeat scroll 0 0;
  color: #fff;
  display: block;
  padding: 1px 10px 2px;
  text-decoration: none;
  z-index: 10;
}

header {
  background-color: var(--navy);
  text-align: center;
  color: #fff;
  padding: 1px 0 1em 0;
  background-image: url('../img/graduation-cap-background.svg');
  background-repeat: no-repeat;
  background-position: center;
  min-height: 100vh;
  display: grid;
  grid-template-rows: auto auto auto;
}


header h1 {
  font-size: 2em;
  margin: 1em 0 .75em;
  font-family: 'AvenirNextLTW01-BoldCn';
  color: #fff;
  background-color: var(--red);
  padding: .5em .5em;
  border: 1px solid #fff;
  border-left: none;
  border-right: none;
  line-height: 1.2em;
}

.headerContent {
  margin: 0;
  padding: 0 2em;
}

.gradCeremonyYear {
  font-size: 1.75em;
  margin: 0 0 1em;
  font-family: 'AvenirNextLTW01-Regular';
  color: #fff
}

#swccLogo {
  max-width: 150px;
  height: auto;
  margin-top: 1em;
}

nav ul {
  list-style: none;
  padding: 0;
  margin: 2em 0 0 0;
}

nav li {
  display: inline-block;
  margin: 1em;
}

nav a {
  text-decoration: none;
  color: #fff;
  background-color: var(--light-navy);
  padding: 0.75em 1.5em;
  border-radius: 4px;
}



main {
  width: 100%;
  padding: 0;
  margin: 0;
}

.mainContentWrapper {
  padding: 1em;
  max-width: 1440px;
  margin: auto;
}


h2 {
  color: var(--red);
  font-size: 1.5em;
  font-family: 'AvenirNextLTW01-BoldCn';
  margin: 1em 0 .5em;
  text-transform: uppercase;
  text-align: center;
}

h3 {
  font-size: 1.25em;
  margin: 1em 0 .5em;
  font-family: 'AvenirNextLTW01-BoldCn';
  color: var(--navy);
}

h4 {
  font-size: 1.1em;
  margin: 1em 0 .5em;
  font-family: 'AvenirNextLTW01-BoldCn';
  color: var(--red);
}

div p:first-of-type,
div h2:first-of-type,
div h3:first-of-type,
div h4:first-of-type {
  margin-top: 0;
}

a.button {
  display: inline-block;
  text-align: center;
  background-color: var(--light-navy);
  color: #fff;
  padding: 0.5em 0.75em;
  margin: 0.25em;
  border-radius: 4px;
  text-decoration: none;
  transition: background-color 0.2s ease, transform 0.2s ease;
  border: 2px solid transparent;
}

a.button:hover,
a.button:focus,
a.button:active {
  background-color: var(--navy);
  transform: translateY(-2px);
  outline: none;
  border: solid 2px #fff;
  box-shadow: 0 0 .5em rgba(0, 0, 0, .75);
}

.speakerBox {
  margin-bottom: 1.5em;
  background-color: var(--lightGray);
  padding: 1.25em;
  border-radius: 4px;
  text-align: left;
}

.ceremonyProgram .speakerBox p {
  font-weight: normal;
}

.speakerDegree {
  font-style: italic;
  font-size: 1em;
  font-weight: bold;
}

.speakerHometown {
  font-style: italic;
  font-size: 1em;
  font-weight: bold;
}

.ceremonyProgram {
  text-align: center;
}

.ceremonyProgram p {
  font-weight: bold;
}

.ceremonyProgramContent {
  font-size: 1.2em;
}

.name {
  display: block;
  font-weight: normal;
}

.byline,
.title,
.location {
  display: block;
  font-style: italic;
  font-size: 1em;
  font-weight: normal;
}

.nursingPledge {
  font-style: italic;
  font-size: 1.1em;
  font-weight: bold;
  padding: 1em;
  margin: 0;
  background-color: var(--lightGray);
  position: relative;
  margin: 1em 0;
  border-radius: 4px;
}

.boardList {
  list-style: none;
  padding: 0;
  margin: 0;
  column-count: 1;
}

.boardList li {
  margin: 0.5em 0;
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  break-inside: avoid-column;
}

.boardList li:first-child {
  margin-top: 0;
}

#tab1,
#tab2 {
  /* border: 1px solid #ccc; */
  margin-top: 2em;
  position: relative;
  transition: all .4s ease-in-out;
  left: 0%;
}

.tabContainer.show2 #tab1,
.tabContainer.show2 #tab2 {
  left: -100%;
}

.tabContainer.showBoth {
  grid-template-columns: 100%;
}



.tabSwitcher {
  margin: 1em 0;
  text-align: center;
}

.tabContainer {
  display: grid;
  grid-template-columns: 100% 100%;
  margin-bottom: 1em;
  overflow: hidden;
}

.tabSwitcher a.button {
  background-color: var(--gray);
  color: var(--text);
}

.tabSwitcher a.button.active {
  background-color: var(--red);
  color: #fff;
}

.tabSwitcher a.button.active:active,
.tabSwitcher a.button.active:focus,
.tabSwitcher a.button.active:hover,
.tabSwitcher a.button:active,
.tabSwitcher a.button:focus,
.tabSwitcher a.button:hover {
  background-color: var(--red);
  color: #fff;
}


.listOfGraduates h2 {
  text-align: center;
  font-size: 2em;
  color: var(--red);
  border-bottom: 1px solid var(--gray);
}

.listOfGraduates h3 {
  text-align: center;
  font-size: 1.7em;
  text-transform: uppercase;

}

.listOfGraduates h4 {
  text-align: center;
  font-size: 1.5em;
  text-transform: none;

}

.listOfGraduates ul {
  list-style: none;
  padding: 0 1em 1em 1em;
  margin: 0;
  text-align: left;
  font-size: 1.3em;
  border-bottom: 1px solid var(--gray);
}

.listOfGraduates ul li {
  margin: 0 0 .25em 1em;
  text-indent: -1em;
}

.listOfGraduates p {
  text-align: center;
  font-size: 1.2em;
  font-style: italic;
  margin: 1em 0 1em !important;
}

.location {
  font-style: italic;
}

.backToTopContainer {
  position: sticky;
  bottom: 0;
  height: 3em;
}

.backToTop {
  z-index: 9999;

  margin: 0;
  position: absolute;
  right: 1em;
  bottom: 1em;
}



aside.cta {
  background-color: var(--lightGray);
  color: var(--text);
  padding: 1em;
  text-align: center;
}

aside.cta .button {
  display: block;
  background-color: var(--navy);
  padding: 0.75em 1.5em;
  border-radius: 4px;
  text-decoration: none;
  font-size: 1.2em;
  font-weight: bold;
  color: #fff;
  margin: 0.25em;
}

aside.cta .button.applyNowButton {
  background-color: var(--red);
}

aside.cta .button:hover,
aside.cta .button:focus,
aside.cta .button:active {
  background-color: var(--light-navy);
  transform: translateY(-2px);
  outline: none;
}

.cta p {
  font-size: 1.2em;
  margin: 0.5em 0;
}

footer {
  background-color: var(--navy);
  color: #fff;
  text-align: center;
  padding: 1em 1em;
  font-size: 1em;
}

footer .contentWrapper {
  max-width: 1440px;
  margin: auto;
}

footer .footerSocialIcons {
  margin: 1em 0;
}

footer .footerSocialIcons a {
  color: #fff;
  font-size: 3em;
}

footer .footerSocialIcons a:hover svg,
footer .footerSocialIcons a:focus svg,
footer .footerSocialIcons a:active svg {
  color: var(--gray);
  transform: translateY(-2px);
}

.footerLogo {
  max-width: 60vw;
  height: auto;
  margin: 1em auto;
}

.languageSelector {
  margin: 1em 0;
}

.nds {
  font-size: 16px;
}


.hide {
  visibility: hidden;
}




/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visually-hidden {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .visually-hidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visually-hidden.focusable:active,
.visually-hidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 481px) {
  /* Mobile (Large) */

  body {
    font-size: 18px;
  }

  header {
    font-size: 1.3em;
  }

  #swccLogo {
    max-width: 200px;
  }

  .boardList {
    column-count: 2;
  }

  .listOfGraduates ul {
    font-size: 1.2em;
    columns: 2;
    column-gap: 2em;
  }

  .listOfGraduates p {
    font-size: 1em;
  }

  aside.cta .button {
    display: inline-block;
  }

  .footerLogo {
    max-width: 200px;
  }

}

@media only screen and (min-width: 769px) {

  /* Tablet / Small Laptop */
  body {
    font-size: 20px;
  }

  header {
    font-size: 1em;
  }

  #swccLogo {
    max-width: 250px;
  }

  .boardList {
    column-count: 3;
  }

  .listOfGraduates ul {
    font-size: 1.1em;
    columns: 3;
  }

  .footerLogo {
    max-width: 250px;
  }
}

@media only screen and (min-width: 1025px) {

  /* Large Laptop / Desktop */
  body {
    font-size: 22px;
  }

  header {
    font-size: 1.1em;
  }

  #swccLogo {
    max-width: 300px;
  }

  .listOfGraduates ul {
    font-size: 1em;
    columns: 4;
  }


  #tab2 .speakerBoxesWrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 1em;
  }



  .footerLogo {
    max-width: 300px;
  }
}

@media only screen and (min-width: 1201px) {

  /* Large Desktop */
  body {
    font-size: 24px;
  }

  header {
    font-size: 1.2em;
  }

  #swccLogo {
    max-width: 350px;
  }

  .listOfGraduates ul {
    font-size: 1em;
    columns: 5;
  }

  .footerLogo {
    max-width: 350px;
  }
}






@media print,
(-webkit-min-device-pixel-ratio: 1.25),
(min-resolution: 1.25dppx),
(min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {

  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }

  #swccLogo,
  .footerLogo {
    max-width: unset;
    width: 3in;
    height: auto;
  }

  .listOfGraduates ul {
    font-size: 1em;
    columns: 4;
  }

  .backToTopContainer {
    display: none;
  }

  nav,
  .tabSwitcher,
  .footerSocialIcons,
  .languageSelector {
    display: none;
  }

  .hide {
    visibility: visible;
  }

}